package tokyo.swet.uitest;

import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentPagerAdapter;

/**
 * Created by SWET.
 */
class MyFragmentPagerAdapter extends FragmentPagerAdapter {

    private final MainActivity mActivity;

    public MyFragmentPagerAdapter(MainActivity activity, FragmentManager fragmentManager) {
        super(fragmentManager);
        mActivity = activity;
    }

    @Override
    public Fragment getItem(int position) {
        switch (position) {
            case 0: return new AuthenticationFragment_();
            case 1: return new NotesFragment_();
            default: throw new IndexOutOfBoundsException("範囲外のFragmentが要求されました。（position = " + position + "）");
        }
    }

    @Override
    public int getCount() {
        return mActivity.getPageCount();
    }

    @Override
    public CharSequence getPageTitle(int position) {
        return mActivity.getPageTitle(position);
    }
}
