//
// Copyright (c) 2017 SWET. All rights reserved.
//

import UIKit

class LoginRequestController: UIViewController {
    
    @IBOutlet weak var unauthorizedLabel: UILabel!
    @IBOutlet weak var loginButton: UIButton!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.configureLocalize()
    }
    
    // MARK: - Action
    
    @IBAction func tapLogin(_ sender: Any) {
        self.move(to: .User)
    }
    
    // MARK: - Private
    
    /// ローカライズの設定
    private func configureLocalize() {
        self.unauthorizedLabel.text = NSLocalizedString("unauthorized", comment: "ログインしてください")
        self.loginButton.setTitle(NSLocalizedString("login", comment: "ログイン"), for: .normal)
    }
}
