package tokyo.swet.uitest.helper;

import android.support.test.rule.ActivityTestRule;

import org.junit.Before;
import org.junit.Rule;

import tokyo.swet.uitest.MainActivity;

/**
 * ActivityのUIテストを実施する際に利用できる共通のベースクラス
 * Created by SWET.
 */

public class ActivityTestBase {

    protected MainActivity activity;
    protected MessageHelper messageHelper;

    @Rule
    public ActivityTestRule<MainActivity> activityRule = new ActivityTestRule<>(MainActivity.class);

    @Before
    public void baseSetup() {
        this.activity = activityRule.getActivity();
        this.messageHelper = new MessageHelper(activityRule.getActivity().getResources());
        ViewHelper.mActivity = activity;
    }
}
